Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611364 - gdk headers not yet adjusted to new parallel-installable locations
gdk headers not yet adjusted to new parallel-installable locations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 21:03 EDT by Michel Alexandre Salim
Modified: 2010-07-07 03:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: gtk2-2.21.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 03:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test file that imports gdk (50 bytes, text/x-csrc)
2010-07-04 21:03 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2010-07-04 21:03:25 EDT
Created attachment 429448 [details]
Test file that imports gdk

Description of problem:
Attempting to import <gdk/gdk.h> with the Rawhide version of gtk2 would fail as some of its headers still reference other headers in their old locations.

Version-Release number of selected component (if applicable):
gtk2-2.21.3-3.fc14

How reproducible:
Always

Steps to Reproduce:
1. gcc `pkg-config --cflags gdk-2.0` test.c
  
Actual results:
Should succeed

Expected results:
Header import breaks

Additional info:
Comment 1 Matthias Clasen 2010-07-06 11:35:22 EDT
This is a missing

Requires: gdk-pixbuf-2.0

in the pc file. Fixed upstream, I'll try to get it built sometime today.
Comment 2 Mamoru TASAKA 2010-07-07 03:05:34 EDT
Seems to be fixed with this commit:
http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-22&id=c47c91cd3af0eb8ec13a4fd52fdeaa7ef6b440e5

Now gtk2-2.21.4-1.fc14 is in rawhide buildtree, and
seed-2.31.1-2.fc14 was built successfully.

Note You need to log in before you can comment on or make changes to this bug.